### Function

# Gtk CustomMeasureFunc

#### Declaration

    void
    CustomMeasureFunc (
      GtkWidget* widget,
      GtkOrientation orientation,
      int for_size,
      int* minimum,
      int* natural,
      int* minimum_baseline,
      int* natural_baseline
    )

#### Description [src]

A function to be used by `GtkCustomLayout` to measure a widget.

#### Parameters

`widget` | `GtkWidget`
| The widget to be measured.
| The data is owned by the caller of the function.
`orientation` | `GtkOrientation`
| The direction to be measured.
`for_size` | `int`
| The size to be measured for.
`minimum` | `int*`
| The measured minimum size of the widget.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.
`natural` | `int*`
| The measured natural size of the widget.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.
`minimum_baseline` | `int*`
| The measured minimum baseline of the widget.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.
`natural_baseline` | `int*`
| The measured natural baseline of the widget.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.